Summary:    Toolchain to master DVD+RW/+R media
Name:       dvd+rw-tools
Version:    7.1
Release:    4%{?dist}
License:    GPLv2
URL:        http://fy.chalmers.se/~appro/linux/DVD+RW/
Source0:    http://fy.chalmers.se/~appro/linux/DVD+RW/tools/dvd+rw-tools-%{version}.tar.gz
Source1:    index.html

Patch3001:  dvd+rw-tools-7.0.manpatch
Patch3002:  dvd+rw-tools-7.0-wexit.patch
Patch3003:  dvd+rw-tools-7.0-glibc2.6.90.patch
Patch3004:  dvd+rw-tools-7.0-reload.patch
Patch3005:  dvd+rw-tools-7.0-wctomb.patch
Patch3006:  dvd+rw-tools-7.0-dvddl.patch
Patch3007:  dvd+rw-tools-7.1-noevent.patch
Patch3008:  dvd+rw-tools-7.1-lastshort.patch
Patch3009:  dvd+rw-tools-7.1-format.patch
Patch3010:  dvd+rw-tools-7.1-bluray_srm+pow.patch
Patch3011:  dvd+rw-tools-7.1-bluray_pow_freespace.patch
Patch3012:  dvd+rw-tools-7.1-sysmacro-inc.patch

BuildRequires:  gcc gcc-c++ make m4
BuildRequires:  kernel-headers
Requires:       xorriso

%description
Collection of tools to master DVD+RW/+R media. For further
information see http://fy.chalmers.se/~appro/linux/DVD+RW/.

%prep
%autosetup -p1
install -m 644 %{SOURCE1} index.html

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
%make_build WARN="-DDEFAULT_BUF_SIZE_MB=16 -DRLIMIT_MEMLOCK"

%install
%make_install prefix=%{buildroot}/usr

%files
%license LICENSE
%doc index.html
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 Miaojun Dong <zoedong@tencent.com> - 7.1-1
- initial build
